using System;
using System.Collections.Generic;
namespace Stat.IDAL
{
    public interface IViewDay
    {
        /// <summary>
        /// 获取日统计数据(统计表)
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        List<Model.ViewDay> Get(Model.StatInfo model);

        /// <summary>
        /// 风云榜 TOP 1000
        /// </summary>
        /// <returns></returns>
        List<Model.ViewDay> Rank(DateTime dt);

        /// <summary>
        /// 过时
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        [Obsolete("The Method will be remove")]
        List<Model.ViewItem_Int> GetViewClick_TodayExact(Model.StatInfo model);
    }
}
